// eslint-disable-next-line @typescript-eslint/no-explicit-any
export function isMessage(message) {
    return 'messageType' in message;
}
export function isCommandMessage(message) {
    return message.messageType === 'command';
}
export function isCreatePeerConnectionMessage(message) {
    return message.command.toLowerCase() === 'createpeerconnection';
}
export function isSignalingMessage(message) {
    return message.messageType.toLowerCase() === 'signaling';
}
export function isClosePeerConnectionMessage(message) {
    return message.command.toLowerCase() === 'closepeerconnection';
}
export function isConfigurationMessage(message) {
    return (message.messageType.toLowerCase() === 'configuration' &&
        typeof message.configuration === 'object' &&
        message.configuration !== null);
}
export function isExperimentStatusChangedMessage(message) {
    return (message.messageType.toLowerCase() === 'experiment-status-changed' &&
        typeof message.status === 'string' &&
        (message.message === undefined || typeof message.message === 'string'));
}
//# sourceMappingURL=deviceMessages.js.map