import WebSocket from 'isomorphic-ws';
import { TypedEmitter } from 'tiny-typed-emitter';
import { CrosslabTransport } from "./logging.js";
export interface DeviceConnectionTransportEvents {
    message(data: any): void;
}
export interface DeviceConnectionTransport extends TypedEmitter<DeviceConnectionTransportEvents> {
    connect(logginTransport: CrosslabTransport): Promise<void>;
    send(data: any): void;
}
export declare class CrosslabConnectionTransport extends TypedEmitter<DeviceConnectionTransportEvents> implements DeviceConnectionTransport {
    options: {
        endpoint: string;
        id: string;
        token: string;
    };
    _ws?: WebSocket;
    get ws(): WebSocket;
    constructor(connectOptions: {
        endpoint: string;
        id: string;
        token: string;
    });
    connect(logginTransport: CrosslabTransport): Promise<void>;
    send(data: any): void;
}
//# sourceMappingURL=deviceConnectionTransport.d.ts.map